package com.style24.batch.biz.job.statistics;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.style24.batch.biz.job.TsbAbstractJob;
import com.style24.batch.biz.service.TsbStatisticsService;
import com.style24.persistence.domain.Goods;

import lombok.extern.slf4j.Slf4j;

/**
 * 사이트 제휴코드 유입집계
 *
 * @author eskim
 * @since 2020. 12. 03
 */
@Component
@Slf4j
public class TsbInflowStatisticsJob extends TsbAbstractJob<Goods, Goods, Goods> {

	@Autowired
	private TsbStatisticsService statisticsService;

	private int succCnt = 0;
	private int failCnt = 0;
	private int totalCnt = 0;

	@Override
	public Goods read() throws Exception {

		Goods goods = new Goods();
		return goods;
	}

	@Override
	public Goods process(Goods goods) throws Exception {
		return goods;
	}

	@Override
	public Goods write(Goods goods) throws Exception {

		int result = statisticsService.createInflowDaily("today");
		totalCnt = result;
		succCnt = result;

		return goods;
	}

	@Override
	public void notify(Goods goods) throws Exception {
		super.printResult(succCnt, failCnt);
	}
}
